#include<bits/stdc++.h>
using namespace std;
int main()
{
    int min1,max1,n,x,i,a,b,c,d;
    cin >> n >>x;
    min1=x;
    max1=x;
    for(i=0;i<n;i++)
        {
            cin >> a;
            if(a<min1)
            {
                min1=a;
            }
            if(a>max1)
            {
                max1=a;
            }


        }
        b=abs(min1-x);
        c=abs(max1-x);
        d=b+c+min(b,c);
        cout << d;
}